package ucl.cities.model;

import ucl.cities.entities.City;

/**
 * Interface for the model.
 * 
 * @author maltaweel
 *
 */
public interface Model {
	
  /**
   * Generic step for doing the model.
   * @param c a city object.
   */
  public void step(City c);
  
  /**
   * The flow method
   * @param c a city object
   */
  public void flow(City c);
  
  /**
   * Method to calculate city size.
   * @param c
   */
  public void calculateSize(City c);
}
