package ucl.cities.style;

import java.awt.BasicStroke;
import java.awt.Color;
import java.awt.Font;
import java.awt.Stroke;

import repast.simphony.visualization.gisnew.GeoShape;
import repast.simphony.visualization.gisnew.GeoShape.FeatureType;
import repast.simphony.visualization.gisnew.StyleGIS;
import ucl.cities.entities.City;


/**
 * 
 * @author
 *
 * @param <T>
 */
public class DefaultStyleGIS<T> implements StyleGIS<T> {

	
	public FeatureType getFeatureType(T obj) {
		if(obj instanceof City){
			return FeatureType.POINT;
		}
		else
			return FeatureType.POINT;
	}
   
   public GeoShape getShape(T obj) {		
		GShape gshape= new GShape();
		gshape.setGeometry(obj);
		
		return gshape;
		
	}
	public Stroke getBorder(T obj) {
		if(obj instanceof City){
			City c=(City)obj;
			
			return new BasicStroke(1.0f);
		}
		return new BasicStroke(1.0f);
	}
	public Color getBorderColor(T obj) {
		if(obj instanceof City)
			return Color.BLUE;
		
		else 
			return Color.RED;
	}
	public double getBorderOpacity(T obj) {
		return 1.0;
	}
	
	
	public Color getFillColor(T obj) {
		Color c =null;
		if(obj instanceof City)
			c= Color.BLUE;
		else 
			c=Color.GREEN;
		return c;
	}
	public double getFillOpacity(T obj) {
		return 0.0;
	}
	public String getLabel(T obj) {
		if(obj instanceof City){
			City c = (City)obj;
		}
		return null;
	}
	public Color getLabelColor(T obj) {
		return null;
	}
	public Font getLabelFont(T obj) {
		return null;
	}
	public float getRotation(T obj) {
		return 0;
	}
	public float getScale(T obj) {
		return 0;
	}
	public boolean isScaled(T object) {
		return false;
	}
	
}