package ucl.cities.entities;

import repast.simphony.space.graph.RepastEdge;

public class CanalEdge<Location> extends RepastEdge<Location> {
		
	public double rWeight;  //reverse weight;
	public double usedWeight; //weight used
	public double used=0l;  //times walked/boated/or just moved through
	public double crossingWeight;  //crossing weight (e.g., river crossings) between two nodes.
	
	/**
	 * The population edge.
	 * @param first the source
	 * @param second the target
	 */
	public CanalEdge(Location first, Location second){
		super(first,second,true);
	}

	public double getrWeight() {
		return rWeight;
	}

	public void setrWeight(double rWeight) {
		this.rWeight = rWeight;
	}

	
    public double getUsedWeight ( ) {
    
    	return usedWeight;
    }

	
    public void setUsedWeight ( double usedWeight ) {
    
    	this.usedWeight = usedWeight;
    }

	
    public double getUsed ( ) {
    
    	return used;
    }

	
    public void setUsed ( double used ) {
    
    	this.used = used;
    }

	public double getCrossingWeight() {
		return crossingWeight;
	}

	public void setCrossingWeight(double crossingWeight) {
		this.crossingWeight = crossingWeight;
	}
   
	
	
}